<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>AVM2: </title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<p><a name="findpropstrict"></a></p>
<h2><a class="anchor" id="findpropstrict"></a>
findpropstrict</h2>
<h3><a class="anchor" id="operation"></a>
Operation</h3>
<p>Find a property.</p>
<h3><a class="anchor" id="format"></a>
Format</h3>
<div class="fragment"><pre class="fragment">findpropstrict 
index
</pre></div><h3><a class="anchor" id="forms"></a>
Forms</h3>
<div class="fragment"><pre class="fragment">findpropstrict = 93 (0x5d)
</pre></div> <h3><a class="anchor" id="stack"></a>
Stack</h3>
<div class="fragment"><pre class="fragment">..., [ns], [name] =&gt; ..., obj
</pre></div><h3><a class="anchor" id="description"></a>
Description</h3>
<p>index is a u30 that must be an index into the multiname constant pool. If the multiname at that index is a runtime multiname the name and/or namespace will also appear on the stack so that the multiname can be constructed correctly at runtime.</p>
<p>This searches the scope stack, and then the saved scope in the method closure, for a property with the name specified by the multiname at index.</p>
<p>If any of the objects searched is a with scope, its declared and dynamic properties will be searched for a match. Otherwise only the declared traits of a scope will be searched. The global object will have its declared traits, dynamic properties, and prototype chain searched.</p>
<p>If the property is resolved then the object it was resolved in is pushed onto the stack. If the property is unresolved in all objects on the scope stack then an exception is thrown.</p>
<h3><a class="anchor" id="rt_execeptions"></a>
Runtime exceptions</h3>
<p>A ReferenceError is thrown if the property is not resolved in any object on the scope stack.</p>
<h3><a class="anchor" id="notes"></a>
Notes</h3>
<p>Functions save the scope stack when they are created, and this saved scope stack is searched if no match is found in the current scope stack.</p>
<p>Objects for the with statement are pushed onto the scope stack with the pushwith instruction. </p>
</div>
<hr class="footer"/><address class="footer"><small>Generated on Thu Jan 6 2011 10:19:15 for AVM2 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
